Make the updatelssueFrom(url) function return the XMLHttpRequest object
2015-06-26 14:33 - Vincent Robert

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 3.1.0

Description

The current javascript function updatelssueFrom(url) does not return anything.
If we could just return the XMLHttpRequest object (as it is returned by the ajax() call), it would allow us to chain methods like this:

updateIssueFrom(url) .done (function () {
$( this ) .addClass( "done" );
)i

Here is the patch:

diff --git a/public/javascripts/application.js b/public/javascripts/application. js
-—— a/public/javascripts/application.js
+++ b/public/javascripts/application.js
@@ -471,7 +471,7 @@ function updatelssueFrom (url) {
$('#all_attributes input, #all_attributes textarea, #all_attributes select') .each (function () {
$(this) .data ('valuebeforeupdate', $(this).val());
by
- S$.ajax ({
+ return $.ajax ({
url: url,
type: 'post',
data: $('#issue-form') .serialize()

This simple patch could really help me to simplify my Redmine plugins. Thank you.

Associated revisions

Revision 14372 - 2015-06-27 08:50 - Jean-Philippe Lang
Make the updatelssueFrom(url) function return the XMLHttpRequest object (#20180).

Patch by Vincent Robert.

History

#1 - 2015-06-27 08:50 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.0

Committed in r14372, thanks.

#2 - 2015-06-27 08:51 - Jean-Philippe Lang

- Category changed from Plugin Request to Code cleanup/refactoring

#3 - 2015-08-24 18:12 - Etienne Massip
FTR the object returned by the function is not a XMLHttpRequest but a Promise.
